
package com.tmerclub.cloud.seckill.dto.app;

import com.tmerclub.cloud.common.order.dto.OrderDTO;
import io.swagger.v3.oas.annotations.media.Schema;
import jakarta.validation.constraints.NotNull;

import java.io.Serial;
import java.io.Serializable;

/**
 * 秒杀订单
 *
 * @author tmerclub
 * @date 2021-04-12 10:39:32
 */
public class SeckillOrderDTO extends OrderDTO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @NotNull(message = "活动商品规格Id不能为空")
    @Schema(description = "拼团商品规格Id", requiredMode = Schema.RequiredMode.REQUIRED)
    private Long seckillSkuId;

    @NotNull
    @Schema(description = "秒杀id", requiredMode = Schema.RequiredMode.REQUIRED)
    private Long seckillId;

    public Long getSeckillSkuId() {
        return seckillSkuId;
    }

    public void setSeckillSkuId(Long seckillSkuId) {
        this.seckillSkuId = seckillSkuId;
    }

    public Long getSeckillId() {
        return seckillId;
    }

    public void setSeckillId(Long seckillId) {
        this.seckillId = seckillId;
    }

    @Override
    public String toString() {
        return "SeckillOrderDTO{" +
                "seckillSkuId=" + seckillSkuId +
                ", seckillId=" + seckillId +
                '}';
    }
}
